Subject: Re: [PATCH 00/31] Hash function transition part 16

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 12 Feb 2019 12:15:22 +0100

On Tue, Feb 12 2019, brian m. carlson wrote:

> This is the sixteenth series of hash function transition patches. This
> series contains various fixes, mostly focused around the pack bitmap
> code, the HTTP code, the archive code, the index, and parts of our Perl
> code.
>
> This is the second to last series required for a "stage 0" Git; that is,

I skimmed most of this, but decided to stop when I came to "am" since I
was just going to start repeating the same question I had in other
patches, i.e. for the parts of this that deal with on-disk formats how
does just e.g. search-replacing s/40/64/ interact with needing to read
existing files (bitmaps, "am" patches, untracked cache etc.) which may
be in the "old" format.